using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public interface IFWButtons
    {
        //Button metody
        void ButtonInvokeByName(string name, int repeatingTime = 0);
        void ButtonInvokeByAutomationID(string name, int repeatingTime = 0);
        void ButtonClickByName(string name, int repeatingTime = 0);
        void ButtonClickByAutomationID(string name, int repeatingTime = 0);
        void ButtonInvokeBy(string name, int repeatingTime = 0);
        void ButtonClickBy(string name, int repeatingTime = 0);
        bool ButtonIsEnabled(string value, int repeatingTime = 0);
        void ButtonDoubleClickBy(string name, int repeatingTime = 0);
        bool ButtonExist(string value, int repeatingTime = 0);
        bool ButtonIsVisible(string value, int repeatingTime = 0);


    }
}
